Skip to main content
PATCH
/
api
/
public
/
v1
/
campaigns
/
{campaign_id}
Update Campaign
curl --request PATCH \
  --url https://api.truedy.ai/api/public/v1/campaigns/{campaign_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "agent_id": "<string>",
  "schedule_type": "immediate",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "timezone": "<string>",
  "max_concurrent_calls": 50
}
'
{
  "data": {},
  "meta": {
    "request_id": "req_73e786fe-1",
    "timestamp": "2026-02-04T20:12:04.403365Z"
  }
}

Authorizations

Authorization
string
header
required

Your API key. Send in the Authorization header as: Bearer

Path Parameters

campaign_id
string
required

Body

application/json
name
string | null
Required string length: 1 - 100
agent_id
string | null
schedule_type
enum<string> | null
Available options:
immediate,
scheduled
scheduled_at
string<date-time> | null
timezone
string | null
max_concurrent_calls
integer | null
Required range: 1 <= x <= 100

Response

Request completed successfully